(*
 * <COPYRIGHT>
 * Copyright 2005 Gerd Stolpmann
 *
 * <GPL>
 * This file is part of UMLMON.
 *
 * UMLMON is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * UMLMON is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with UMLMON; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * </>
 *)

(* $Id: mconsole.mli 187 2005-10-14 10:54:15Z gerd $ *)

external mk_request : string -> string = "mconsole_mk_request" 
  (* [mk_request cmd]: creates a message block for the command [cmd] that can be sent
   * with [send_msg] to the mconsole socket.
   *)

external dest_reply : string -> (bool * bool * string) = "mconsole_dest_reply"
  (* [let (err, more, data) = dest_reply block]: analyzes the message block received
   * from the mconsole socket. If [err], the [data] string is the error message.
   * Otherwise, [data] is the command result, and [more] indicates whether another
   * message block follows.
   *)
